How to show options with tooltip in EJ2 JavaScript Dropdown List

04 Sep 20265 minutes to read

You can achieve this behavior by using the ej2-tooltip component. When the mouse hovers over a DropDownList option, the tooltip displays details about that list item.

//Initialize DropDownList component
var listObj = new ej.dropdowns.DropDownList({
    // define the array of JSON data
    dataSource: [
        { id: '1', text: 'Australia', content: 'National sports is Cricket' },
        { id: '2', text: 'Bhutan', content: 'National sports is Archery' },
        { id: '3', text: 'China', content: 'National sports is Table Tennis' },
        { id: '4', text: 'Cuba', content: 'National sports is Baseball' },
        { id: '5', text: 'India', content: 'National sports is Hockey' },
        { id: '6', text: 'Spain', content: 'National sports is Football' },
        { id: '7', text: 'United States', content: 'National sports is Baseball' }
    ],
    // map the appropriate column to fields property
    fields: { text: 'text', tooltip: 'id' },
    // set the placeholder to the DropDownList input
    placeholder: 'Select a country',
    // bind the DropDownList close event
    close: () => { tooltip.close(); }
});
listObj.appendTo('#ddltooltip');
//Initialize Tooltip component
var tooltip = new ej.popups.Tooltip({
    // default content of tooltip
    content: 'Loading...',
    // set target element to tooltip
    target: '.e-list-item',
    // set position of tooltip
    position: 'top center',
    // bind beforeRender event
    beforeRender: onBeforeRender
});
tooltip.appendTo('body');
function onBeforeRender(args) {
    // get the target element
    var listElement = document.getElementById('ddltooltip');
    var result = listElement.ej2_instances[0].dataSource;
    var i;
    for (i = 0; i < result.length; i++) {
        if (result[i].text === args.target.textContent) {
            this.content = result[i].content;
            this.dataBind();
            break;
        }
    }
}
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 DropDownList</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-inputs/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-dropdowns/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container" style="margin:0 auto; width:250px;">
        <br>
        <div id="Tooltip" class="e-prevent-select">
            <input type="text" id="ddltooltip">
        </div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

How to show tooltip on options in Angular Dropdown List

25 Sep 20265 minutes to read

You can achieve this behavior by using the ej2-tooltip component. When the mouse hovers on the Angular Dropdown List option that tooltip displays some details related to the hovered list item.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule, ReactiveFormsModule } from '@angular/forms'
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns'
import { ButtonModule } from '@syncfusion/ej2-angular-buttons'



import { Component } from '@angular/core';
import { Tooltip, TooltipEventArgs } from '@syncfusion/ej2-popups';

@Component({
imports: [
        FormsModule, ReactiveFormsModule, DropDownListModule, ButtonModule
    ],


standalone: true,
    selector: 'app-root',
    // specifies the template string for the DropDownList component with change event
    template: `<ejs-dropdownlist id='ddltooltip' #samples [dataSource]='data' [fields]='fields' [placeholder]='text' (close)='onClose($event)'></ejs-dropdownlist>`
})
export class AppComponent {
    constructor() {
    }
    public tooltip ?: Tooltip| any;
    ngAfterViewInit(){
      //Initialize Tooltip component
      this.tooltip = new Tooltip({
          // default content of tooltip
          content: 'Loading...',
          // set target element to tooltip
          target: '.e-list-item',
          // set position of tooltip
          position: 'TopCenter',
          // bind beforeRender event
          beforeRender: this.onBeforeRender
      });
      this.tooltip.appendTo('body');
    }
    // defined the array of data
    public data: { [key: string]: Object }[] = [
        { id: '1', text: 'Australia', content: 'National sports is Cricket' },
        { id: '2', text: 'Bhutan', content: 'National sports is Archery' },
        { id: '3', text: 'China', content: 'National sports is Table Tennis' },
        { id: '4', text: 'Cuba', content: 'National sports is Baseball' },
        { id: '5', text: 'India', content: 'National sports is Hockey' },
        { id: '6', text: 'Spain', content: 'National sports is Football' },
        { id: '7', text: 'United States', content: 'National sports is Baseball' }];
    // maps the appropriate column to fields property
    public fields: Object = { text: 'text', tooltip: 'Id' };
    //set the placeholder to DropDownList input
    public text: string = "Select a country";
    // close event
    onClose(e : any) {
      this.tooltip.close();
    }
    //beforeRender event of tooltip
   onBeforeRender(args: TooltipEventArgs): void {
        // get the target element
        let listElement = document.getElementById('ddltooltip');
        let result: Object[] = (listElement! as any).ej2_instances[0].dataSource;
        let i: number;
        for ( i = 0; i < result.length; i++) {
            if ((result[i] as any).text === args.target.textContent) {
                (this as any).content = (result[i] as any).content;
                (this as any).dataBind();
                break;
            }
        }
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

How to show tooltip in Vue Dropdown List

03 Sep 20269 minutes to read

You can achieve this behavior by using the ej2-tooltip component. When the mouse hovers over the DropDownList option, the tooltip displays some details related to the hovered list item.

<template>
  <div id="app">
    <div id='container' style="margin:50px auto 0; width:250px;">
      <br>
      <ejs-dropdownlist id='Countries' ref='ddlObj' :created='onDropdownCreate' :dataSource='countryData'
        :fields='fields' :close='onClose' placeholder='Select a country'>
      </ejs-dropdownlist>
    </div>
  </div>
</template>
<script setup>
import { ref } from "vue";
import { DropDownListComponent as EjsDropdownlist } from "@syncfusion/ej2-vue-dropdowns";
import { Tooltip } from '@syncfusion/ej2-popups';

const ddlObj = ref(null);
const countryData = [
  { id: '1', text: 'Australia', content: 'National sports is Cricket' },
  { id: '2', text: 'Bhutan', content: 'National sports is Archery' },
  { id: '3', text: 'China', content: 'National sports is Table Tennis' },
  { id: '4', text: 'Cuba', content: 'National sports is Baseball' },
  { id: '5', text: 'India', content: 'National sports is Hockey' },
  { id: '6', text: 'Spain', content: 'National sports is Football' },
  { id: '7', text: 'United States', content: 'National sports is Baseball' }
];
const fields = { text: 'text', value: 'id' };
const tooltip = null;

const onClose = function (e) {
  tooltip.close();
};
const onBeforeRender = function (args) {
  var result = ddlObj.value.dataSource;
  var i;
  for (i = 0; i < result.length; i++) {
    if (result[i].text === args.target.textContent) {
      tooltip.content = result[i].content;
      tooltip.dataBind();
      break;
    }
  }
};
const onDropdownCreate = function (args) {
  tooltip = new Tooltip({
    // default content of tooltip
    content: 'Loading...',
    // set target element to tooltip
    target: '.e-list-item',
    // set position of tooltip
    position: 'top center',
    // bind beforeRender event
    beforeRender: onBeforeRender
  });
  tooltip.appendTo('body');
}

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";
</style>
<template>
  <div id="app">
    <div id='container' style="margin:50px auto 0; width:250px;">
        <br>
            <ejs-dropdownlist id='Countries' ref='ddlObj' :created='onDropdownCreate' :dataSource='countryData' :fields='fields' :close='onClose' placeholder='Select a country'>
            </ejs-dropdownlist>
    </div>
  </div>
</template>
<script>

import { DropDownListComponent } from "@syncfusion/ej2-vue-dropdowns";
import { TooltipComponent } from "@syncfusion/ej2-vue-popups";
import { ButtonComponent } from "@syncfusion/ej2-vue-buttons";




import { Tooltip } from '@syncfusion/ej2-popups';

export default {
name: "App",
components: {
"ejs-dropdownlist":DropdownlistComponent,

},
 data () {
    return {
      countryData: [
        { id: '1', text: 'Australia', content: 'National sports is Cricket' },
        { id: '2', text: 'Bhutan', content: 'National sports is Archery' },
        { id: '3', text: 'China', content: 'National sports is Table Tennis' },
        { id: '4', text: 'Cuba', content: 'National sports is Baseball' },
        { id: '5', text: 'India', content: 'National sports is Hockey' },
        { id: '6', text: 'Spain', content: 'National sports is Football' },
        { id: '7', text: 'United States', content: 'National sports is Baseball' }
      ],
      fields : { text: 'text', value: 'id' },
      tooltip: Tooltip
    }
  },
  methods: {
        onClose: function(e) {
            this.tooltip.close();
        },
        onBeforeRender : function(args) {
            var result = this.$refs.ddlObj.dataSource;
            var i;
            for (i = 0; i < result.length; i++) {
                if (result[i].text === args.target.textContent) {
                    this.tooltip.content = result[i].content;
                    this.tooltip.dataBind();
                    break;
                }
            }
        },
        onDropdownCreate:  function(args) {
            this.tooltip = new Tooltip({
            // default content of tooltip
                content: 'Loading...',
                // set target element to tooltip
                target: '.e-list-item',
                // set position of tooltip
                position: 'top center',
                // bind beforeRender event
                beforeRender: this.onBeforeRender
            });
            this.tooltip.appendTo('body');
        }
    }  
}
</script>
<style>
@import "../../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-popups/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";
</style>

How to show a tooltip on each item in React Dropdown List

Achieve this behavior using the ej2-tooltip component. When you hover the mouse over a React Dropdown List option, the tooltip displays details about that list item.

import { Tooltip } from '@syncfusion/ej2-popups';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import * as React from 'react';
import * as ReactDOM from 'react-dom';
export default class App extends React.Component {
    // define the JSON of data
    countryData = [
        { id: '1', text: 'Australia', content: 'National sports is Cricket' },
        { id: '2', text: 'Bhutan', content: 'National sports is Archery' },
        { id: '3', text: 'China', content: 'National sports is Table Tennis' },
        { id: '4', text: 'Cuba', content: 'National sports is Baseball' },
        { id: '5', text: 'India', content: 'National sports is Hockey' },
        { id: '6', text: 'Spain', content: 'National sports is Football' },
        { id: '7', text: 'United States', content: 'National sports is Baseball' }
    ];
    // maps the appropriate column to fields property
    fields = { text: 'text', value: 'id' };
    tooltip;
    dropDownListObject;
    constructor(props) {
        super(props);
        this.onBeforeRender = this.onBeforeRender.bind(this);
        this.onClose = this.onClose.bind(this);
    }
    onBeforeRender(args) {
        // get the target element
        const result = this.dropDownListObject.dataSource;
        let i;
        for (i = 0; i < result.length; i++) {
            if (result[i].text === args.target.textContent) {
                this.tooltip.content = result[i].content;
                this.tooltip.dataBind();
                break;
            }
        }
    }
    onClose() {
        this.tooltip.close();
    }
    componentDidMount() {
        this.tooltip = new Tooltip({
            beforeRender: this.onBeforeRender,
            content: 'Loading...',
            position: 'TopCenter',
            target: '.e-list-item'
        });
        this.tooltip.appendTo('body');
    }
    render() {
        return (
        // specifies the tag for render the DropDownList component
        <DropDownListComponent id="ddlelement" ref={(scope) => { this.dropDownListObject = scope; }} dataSource={this.countryData} fields={this.fields} placeholder="Select a country" close={this.onClose}/>);
    }
}
ReactDOM.render(<App />, document.getElementById('sample'));
import { Tooltip } from '@syncfusion/ej2-popups';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import * as React from 'react';
import * as ReactDOM from 'react-dom';

export default class App extends React.Component<{}, {}> {
  // define the JSON of data
  private countryData: { [key: string]: Object }[] = [
    { id: '1', text: 'Australia', content: 'National sports is Cricket' },
    { id: '2', text: 'Bhutan', content: 'National sports is Archery' },
    { id: '3', text: 'China', content: 'National sports is Table Tennis' },
    { id: '4', text: 'Cuba', content: 'National sports is Baseball' },
    { id: '5', text: 'India', content: 'National sports is Hockey' },
    { id: '6', text: 'Spain', content: 'National sports is Football' },
    { id: '7', text: 'United States', content: 'National sports is Baseball' }
  ];

  // maps the appropriate column to fields property
  private fields: object = { text: 'text', value: 'id' };
  private tooltip: any;
  private dropDownListObject: any;

  constructor(props: any) {
    super(props);
    this.onBeforeRender = this.onBeforeRender.bind(this);
    this.onClose = this.onClose.bind(this);
  }
  public onBeforeRender(args: any) {
    // get the target element
    const result = this.dropDownListObject.dataSource;
    let i;
    for (i = 0; i < result.length; i++) {
      if (result[i].text === args.target.textContent) {
        this.tooltip.content = result[i].content;
        this.tooltip.dataBind();
        break;
      }
    }
  }
  public onClose() {
    this.tooltip.close();
  }
  public componentDidMount() {
    this.tooltip = new Tooltip({
      beforeRender: this.onBeforeRender,
      content: 'Loading...',
      position: 'TopCenter',
      target: '.e-list-item'
    });

    this.tooltip.appendTo('body');
  }
  public render() {
    return (
      // specifies the tag for render the DropDownList component
      <DropDownListComponent id="ddlelement" ref={(scope) => { this.dropDownListObject = scope; }} dataSource={this.countryData} fields={this.fields} placeholder="Select a country" close={this.onClose} />
    );
  }
}
ReactDOM.render(<App />, document.getElementById('sample'));